/* $Id: vga_dac.h,v 1.3 1998/11/24 18:45:21 marcus Exp $
******************************************************************************

   IBM VGA Series/Standard -- RAMDAC register definitions

   Copyright (C) 1995          Steffen Seeger  [seeger@ggi-project.org]

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/


#ifndef _IBM_VGA_DAC_H
#define _IBM_VGA_DAC_H

#define	DAC_PW_INDEX	0x0	/* palette write index register */

#define	DAC_P_DATA	0x1	/* palette data (r/w) register  */

#define	DAC_PIXEL_MASK	0x2	/* pixel read mask register     */

#define	DAC_PR_INDEX	0x3	/* palette read index register  */

#endif /* _IBM_VGA_DAC_H */
